/* 
 * @Program that Splits One Text Node into Three
 * SplittingTextNode.java 
 * Author:-RoseIndia Team
 * Date:-10-Jun-2008
 */

import java.io.*;
import javax.xml.parsers.*;
import org.w3c.dom.*;

public class CreatesElementnode {

    public static void main(String[] args) throws Exception {
        DocumentBuilderFactory builderFactory = DocumentBuilderFactory.newInstance();

        Document doc = builderFactory.newDocumentBuilder().parse(new File("abc.xml"));
        new CreatesElementnode().CreatesElementnode(doc);
    }

    public void CreatesElementnode(Document doc) {
        //method to creates an element node.
        Element root = doc.createElement("Company");
        doc.appendChild(root);
        System.out.println("Element node created is: " + doc.getDocumentElement().getNodeName());

        //method to creates a comment node.
        Comment node = doc.createComment("Comment for company");
        root.appendChild(node);
        System.out.println("Comment node created is: " + root.getFirstChild());

        //Create a Cdata section node
        CDATASection cdata = doc.createCDATASection("Roseindia <, >, .net rohini");
        root.appendChild(cdata);
        System.out.println("CData node created is: " + root.getFirstChild().getNextSibling());

        ProcessingInstruction pi = doc.createProcessingInstruction("Roseindia", "Rohini");
        root.appendChild(pi);
        System.out.println("ProcessingInstruction node created is: " + root.getLastChild());


    }
}
